Bug 1217565 - [RFE] LXQt lists yumex[-dnf] in Settings menu instead of System Tools
Summary: [RFE] LXQt lists yumex[-dnf] in Settings menu instead of System Tools
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lxqt-common
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/lxde/libqtxdg/issu...
Whiteboard:
: 1217564 (view as bug list)
Depends On: 1217564
Blocks: LXQt
TreeView+ depends on / blocked
 
Reported: 2015-04-30 16:14 UTC by Raphael Groner
Modified: 2016-02-02 23:00 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1217564
Environment:
Last Closed: 2016-02-02 23:00:32 UTC


Attachments (Terms of Use)
No Settings in desktop file's Categroies (109 bytes, text/plain)
2015-04-30 16:14 UTC, Raphael Groner
no flags Details

Description Raphael Groner 2015-04-30 16:14:17 UTC
Created attachment 1020657 [details]
No Settings in desktop file's Categroies

Description of problem:
LXQt lists "Yumex (dnf)" in Settings menu instead of System Tools. Other desktops do list in Administration.

Version-Release number of selected component (if applicable):
-

How reproducible:
yes

Steps to Reproduce:
1. login into LXQt session
2. open application menu
3. go to System Tools group

Actual results:
no Yumex listed inside the System Tools

Expected results:
Yumex entry inside the System Tools

Additional info:
LXQt seems to prefer Settings before System in desktop file's Categories entry

Comment 1 Tim Lauridsen 2015-05-01 05:44:13 UTC
yumex-dnf has the following in .desktop file

Categories=System;Settings;X-Red-Hat-Base;X-Fedora;

I xfce it shown up in Administratiom

Comment 2 Tim Lauridsen 2015-05-01 05:56:14 UTC
I look like it is the combination System + Settings the make it end up in administration.

System alone will make it end up i 'System'
Settings alone will make it end up i 'Settings'

Dont think is can fix this for LXQt, without hurting other DE's

Comment 3 Raphael Groner 2015-05-01 09:05:02 UTC
(In reply to Tim Lauridsen from comment #2)
…
> Dont think is can fix this for LXQt, without hurting other DE's

Should we fix it in LXQt? Well, the other group logic may confuse users coming from other DE or move there, but it's not a critical bug.

Comment 4 Tim Lauridsen 2015-05-06 12:52:16 UTC
Yes, this can only be fixed in LXQt, not in yumex

Comment 5 Raphael Groner 2015-05-07 09:46:50 UTC
(In reply to Tim Lauridsen from comment #4)
> Yes, this can only be fixed in LXQt, not in yumex

Reopening and reassigning to LXQt. Probably it needs a fix from upstream.

Comment 6 Raphael Groner 2015-05-07 09:49:45 UTC
*** Bug 1217564 has been marked as a duplicate of this bug. ***

Comment 7 Raphael Groner 2015-05-10 14:49:54 UTC
Should file that to upstream shortly.

Comment 8 Jan Kurik 2015-07-15 14:12:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 9 Raphael Groner 2015-07-27 14:26:26 UTC
Reverting to rawhide. This bug is still not fixed and needs to be kept as open.

Comment 10 Fedora Update System 2015-11-03 00:53:46 UTC
pcmanfm-qt-0.10.0-1.fc23 lxqt-session-0.10.0-1.fc23 lxqt-runner-0.10.0-1.fc23 lxqt-qtplugin-0.10.0-1.fc23 lxqt-powermanagement-0.10.0-1.fc23 lxqt-policykit-0.10.0-1.fc23 lxqt-panel-0.10.0-1.fc23 lxqt-openssh-askpass-0.10.0-1.fc23 lxqt-globalkeys-0.10.0-1.fc23 lxqt-config-0.10.0-1.fc23 lxqt-common-0.10.0-1.fc23 lxqt-about-0.10.0-1.fc23 liblxqt-0.10.0-1.fc23 libqtxdg-1.3.0-1.fc23 libsysstat-0.3.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2c5eb8c205

Comment 11 Fedora Update System 2015-11-03 00:53:46 UTC
pcmanfm-qt-0.10.0-1.fc22 lxqt-session-0.10.0-1.fc22 lxqt-runner-0.10.0-1.fc22 lxqt-qtplugin-0.10.0-1.fc22 lxqt-powermanagement-0.10.0-1.fc22 lxqt-policykit-0.10.0-1.fc22 lxqt-panel-0.10.0-1.fc22 lxqt-openssh-askpass-0.10.0-1.fc22 lxqt-globalkeys-0.10.0-1.fc22 lxqt-config-0.10.0-1.fc22 lxqt-common-0.10.0-1.fc22 lxqt-about-0.10.0-1.fc22 liblxqt-0.10.0-1.fc22 libqtxdg-1.3.0-1.fc22 libsysstat-0.3.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1236ae97a3

Comment 12 Fedora Update System 2015-11-03 18:57:41 UTC
liblxqt-0.10.0-1.fc22, libqtxdg-1.3.0-1.fc22, libsysstat-0.3.1-1.fc22, lxqt-about-0.10.0-1.fc22, lxqt-common-0.10.0-1.fc22, lxqt-config-0.10.0-1.fc22, lxqt-globalkeys-0.10.0-1.fc22, lxqt-openssh-askpass-0.10.0-1.fc22, lxqt-panel-0.10.0-1.fc22, lxqt-policykit-0.10.0-1.fc22, lxqt-powermanagement-0.10.0-1.fc22, lxqt-qtplugin-0.10.0-1.fc22, lxqt-runner-0.10.0-1.fc22, lxqt-session-0.10.0-1.fc22, pcmanfm-qt-0.10.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update lxqt-about lxqt-common lxqt-config lxqt-openssh-askpass lxqt-panel lxqt-policykit lxqt-powermanagement lxqt-qtplugin lxqt-runner lxqt-session pcmanfm-qt lxqt-globalkeys liblxqt libqtxdg libsysstat'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1236ae97a3

Comment 13 Fedora Update System 2015-11-03 19:53:40 UTC
liblxqt-0.10.0-1.fc23, libqtxdg-1.3.0-1.fc23, libsysstat-0.3.1-1.fc23, lxqt-about-0.10.0-1.fc23, lxqt-common-0.10.0-1.fc23, lxqt-config-0.10.0-1.fc23, lxqt-globalkeys-0.10.0-1.fc23, lxqt-openssh-askpass-0.10.0-1.fc23, lxqt-panel-0.10.0-1.fc23, lxqt-policykit-0.10.0-1.fc23, lxqt-powermanagement-0.10.0-1.fc23, lxqt-qtplugin-0.10.0-1.fc23, lxqt-runner-0.10.0-1.fc23, lxqt-session-0.10.0-1.fc23, pcmanfm-qt-0.10.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update lxqt-about lxqt-common lxqt-config lxqt-openssh-askpass lxqt-panel lxqt-policykit lxqt-powermanagement lxqt-qtplugin lxqt-runner lxqt-session pcmanfm-qt lxqt-globalkeys liblxqt libqtxdg libsysstat'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2c5eb8c205

Comment 14 Raphael Groner 2015-11-07 01:26:01 UTC
This bug is not fixed with LXQt 0.10 packages. Please keep this bug open.

Comment 15 Fedora Update System 2015-12-08 19:54:25 UTC
liblxqt-0.10.0-1.fc23, libqtxdg-1.3.0-1.fc23, libsysstat-0.3.1-1.fc23, lxqt-about-0.10.0-1.fc23, lxqt-common-0.10.0-1.fc23, lxqt-config-0.10.0-1.fc23, lxqt-globalkeys-0.10.0-1.fc23, lxqt-openssh-askpass-0.10.0-1.fc23, lxqt-panel-0.10.0-1.fc23, lxqt-policykit-0.10.0-1.fc23, lxqt-powermanagement-0.10.0-1.fc23, lxqt-qtplugin-0.10.0-1.fc23, lxqt-runner-0.10.0-1.fc23, lxqt-session-0.10.0-1.fc23, pcmanfm-qt-0.10.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-12-08 21:23:42 UTC
liblxqt-0.10.0-1.fc22, libqtxdg-1.3.0-1.fc22, libsysstat-0.3.1-1.fc22, lxqt-about-0.10.0-1.fc22, lxqt-common-0.10.0-1.fc22, lxqt-config-0.10.0-1.fc22, lxqt-globalkeys-0.10.0-1.fc22, lxqt-openssh-askpass-0.10.0-1.fc22, lxqt-panel-0.10.0-1.fc22, lxqt-policykit-0.10.0-1.fc22, lxqt-powermanagement-0.10.0-1.fc22, lxqt-qtplugin-0.10.0-1.fc22, lxqt-runner-0.10.0-1.fc22, lxqt-session-0.10.0-1.fc22, pcmanfm-qt-0.10.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Raphael Groner 2015-12-09 20:37:11 UTC
(In reply to Raphael Groner from comment #14)
> This bug is not fixed with LXQt 0.10 packages. Please keep this bug open.

Comment 18 Raphael Groner 2015-12-20 16:47:39 UTC
The bug is propably located in those libqtxdg/xdgmenu*.cpp sources.
https://github.com/lxde/libqtxdg

Comment 19 Peter Mattern 2015-12-21 00:56:45 UTC
Hardly an upstream issue, please see https://github.com/lxde/libqtxdg/issues/67#issuecomment-166168829

Comment 20 Peter Mattern 2015-12-21 12:08:22 UTC
Package should be lxqt-common instead of liblxqt.

Comment 21 Raphael Groner 2016-01-15 13:10:34 UTC
Okay, we need a patch in lxmenu-data. See comments in upstream issue.

Comment 22 Mamoru TASAKA 2016-01-15 13:57:09 UTC
https://github.com/lxde/libqtxdg/issues/67#issuecomment-166168829
> If on the other hand you want the placement of Yumex to be consistent with those other desktop environments you have to tweak lxqt-applications.menu accordingly.

Comment 23 Kevin Kofler 2016-01-15 15:33:24 UTC
Right, see my reply there:
https://github.com/lxde/libqtxdg/issues/67#issuecomment-166364823

Comment 24 Fedora Update System 2016-01-15 21:06:57 UTC
lxqt-common-0.10.0-6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-aa79af616f

Comment 25 Fedora Update System 2016-01-15 22:12:02 UTC
lxqt-common-0.10.0-7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-52e09c8358

Comment 26 Fedora Update System 2016-01-17 14:22:39 UTC
lxqt-common-0.10.0-7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-52e09c8358


Note You need to log in before you can comment on or make changes to this bug.